petsc-3.6.2 2015-10-02
Report Typos and Errors

# AOApplicationToPetscPermuteInt

Permutes an array of blocks of integers in the application-defined ordering to the PETSc ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOApplicationToPetscPermuteInt(AO ao, PetscInt block, PetscInt array[])

Collective on AO

### Input Parameters

| ao | - The application ordering context
| block | - The block size
| array | - The integer array

### Output Parameter

array -The permuted array

Note: The length of the array should be block*N, where N is length provided to the AOCreate*() method that created the AO.

The permutation takes array[i_app] --> array[i_pet], where i_app is the index of 'i' in the application ordering and i_pet is the index of 'i' in the petsc ordering.

### Keywords

application ordering, mapping

### See Also

AOCreateBasic(), AOView(), AOPetscToApplicationIS(), AOApplicationToPetsc()

Level:beginner
Location:src/vec/is/ao/interface/ao.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages